# Gimp.Display.get_by_id

    @accepts(gint32)
    @returns(Gimp.Display)
    def get_by_id(display_id):
        # Python wrapper for gimp_display_get_by_id()

Returns a Gimp.Display representing display_id.

Note: in most use cases, you should not need to retrieve a Gimp.Display by its ID, which is mostly internal data and not reusable across sessions. Use the appropriate functions for your use case instead.

Since 3.0

display_id

  The display id.

Returns